<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RImeLearnedRoutes StructType
 * @subpackage Structs
 */
class RImeLearnedRoutes extends AbstractStructBase
{
    /**
     * The e164Did
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * - minOccurs: 0
     * @var string
     */
    public $e164Did;
    /**
     * The domain
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - minOccurs: 0
     * @var string
     */
    public $domain;
    /**
     * The signaling
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 1024
     * - minOccurs: 0
     * @var string
     */
    public $signaling;
    /**
     * The learnedOn
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * - minOccurs: 0
     * @var string
     */
    public $learnedOn;
    /**
     * The expiresOn
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * - minOccurs: 0
     * @var string
     */
    public $expiresOn;
    /**
     * The adminEnabled
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - default: false
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $adminEnabled;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RImeLearnedRoutes
     * @uses RImeLearnedRoutes::setE164Did()
     * @uses RImeLearnedRoutes::setDomain()
     * @uses RImeLearnedRoutes::setSignaling()
     * @uses RImeLearnedRoutes::setLearnedOn()
     * @uses RImeLearnedRoutes::setExpiresOn()
     * @uses RImeLearnedRoutes::setAdminEnabled()
     * @uses RImeLearnedRoutes::setUuid()
     * @param string $e164Did
     * @param string $domain
     * @param string $signaling
     * @param string $learnedOn
     * @param string $expiresOn
     * @param string $adminEnabled
     * @param string $uuid
     */
    public function __construct($e164Did = null, $domain = null, $signaling = null, $learnedOn = null, $expiresOn = null, $adminEnabled = 'false', $uuid = null)
    {
        $this
            ->setE164Did($e164Did)
            ->setDomain($domain)
            ->setSignaling($signaling)
            ->setLearnedOn($learnedOn)
            ->setExpiresOn($expiresOn)
            ->setAdminEnabled($adminEnabled)
            ->setUuid($uuid);
    }
    /**
     * Get e164Did value
     * @return string|null
     */
    public function getE164Did()
    {
        return $this->e164Did;
    }
    /**
     * Set e164Did value
     * @param string $e164Did
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes
     */
    public function setE164Did($e164Did = null)
    {
        $this->e164Did = $e164Did;
        return $this;
    }
    /**
     * Get domain value
     * @return string|null
     */
    public function getDomain()
    {
        return $this->domain;
    }
    /**
     * Set domain value
     * @param string $domain
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes
     */
    public function setDomain($domain = null)
    {
        $this->domain = $domain;
        return $this;
    }
    /**
     * Get signaling value
     * @return string|null
     */
    public function getSignaling()
    {
        return $this->signaling;
    }
    /**
     * Set signaling value
     * @param string $signaling
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes
     */
    public function setSignaling($signaling = null)
    {
        $this->signaling = $signaling;
        return $this;
    }
    /**
     * Get learnedOn value
     * @return string|null
     */
    public function getLearnedOn()
    {
        return $this->learnedOn;
    }
    /**
     * Set learnedOn value
     * @param string $learnedOn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes
     */
    public function setLearnedOn($learnedOn = null)
    {
        $this->learnedOn = $learnedOn;
        return $this;
    }
    /**
     * Get expiresOn value
     * @return string|null
     */
    public function getExpiresOn()
    {
        return $this->expiresOn;
    }
    /**
     * Set expiresOn value
     * @param string $expiresOn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes
     */
    public function setExpiresOn($expiresOn = null)
    {
        $this->expiresOn = $expiresOn;
        return $this;
    }
    /**
     * Get adminEnabled value
     * @return string|null
     */
    public function getAdminEnabled()
    {
        return $this->adminEnabled;
    }
    /**
     * Set adminEnabled value
     * @param string $adminEnabled
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes
     */
    public function setAdminEnabled($adminEnabled = 'false')
    {
        $this->adminEnabled = $adminEnabled;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
